Subject: Re: [PATCH 2/4] Fix drop-down menus in the git-gui dialogs.

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 5 Apr 2007 11:32:26 -0400

Eygene Ryabinkin <[email-masked]> wrote:
> Wed, Apr 04, 2007 at 12:37:09PM -0400, Shawn O. Pearce wrote:
> > git-gui patches should be addressed to me, not Paul.
> 
> Yep, I just messed with the mail addresses, since I was doing patches
> both for gitk and git-gui. Sorry for it!

Not a problem, I just wanted to make sure you were aware that they
should come to me, so that you can leave poor paulus' inbox alone.
;-)
 
> > So anyway, I cannot apply this patch as-is, because it breaks
> > my main development system.  I understand and feel your pain,
> > but you either need to make this binding apply only on your OS,
> > or find another way to workaround that Tk bug...
> 
> OK, I will try to find the other workaround, but I have no Mac OS
> X at hand (they are a bit expensive to me), so I hope you will find
> some time to test the new approaches, if I will come up with any.

That's fine.  I'd be happy to retest something.  If I understood your
problem description right, this bug doesn't appear on either Cygwin's
Tcl/Tk implementation or my Mac OS X implementation.  Maybe this
is one of those things that we just have to do conditionally per OS.

If that's the case, maybe we should also consider making our own
local variant of tk_optionMenu (a wrapper of sorts) that sets our
font_ui, and does this grab fix on your platform.

-- 
Shawn.